<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPAxisTickerPi</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_axis_ticker_pi.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-types">Typy publiczne</a> &#124;
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="class_q_c_p_axis_ticker_pi-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPAxisTickerPi</div></div>
</div><!--header-->
<div class="contents">

<p>Specialized axis ticker to display ticks in units of an arbitrary constant, for example pi.  
 <a href="class_q_c_p_axis_ticker_pi.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla QCPAxisTickerPi</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_pi__inherit__graph.png" border="0" usemap="#a_q_c_p_axis_ticker_pi_inherit__map" alt="Inheritance graph"/></div>
<map name="a_q_c_p_axis_ticker_pi_inherit__map" id="a_q_c_p_axis_ticker_pi_inherit__map">
<area shape="rect" title="Specialized axis ticker to display ticks in units of an arbitrary constant, for example pi." alt="" coords="5,79,128,104"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels." alt="" coords="11,5,122,31"/>
<area shape="poly" title=" " alt="" coords="69,44,69,79,64,79,64,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla QCPAxisTickerPi:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_pi__coll__graph.png" border="0" usemap="#a_q_c_p_axis_ticker_pi_coll__map" alt="Collaboration graph"/></div>
<map name="a_q_c_p_axis_ticker_pi_coll__map" id="a_q_c_p_axis_ticker_pi_coll__map">
<area shape="rect" title="Specialized axis ticker to display ticks in units of an arbitrary constant, for example pi." alt="" coords="5,79,128,104"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels." alt="" coords="11,5,122,31"/>
<area shape="poly" title=" " alt="" coords="69,44,69,79,64,79,64,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-types" name="pub-types"></a>
Typy publiczne</h2></td></tr>
<tr class="memitem:a262f1534c7f0c79a7d5237f5d1e2c54c"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#a262f1534c7f0c79a7d5237f5d1e2c54c">FractionStyle</a> { <a class="el" href="class_q_c_p_axis_ticker_pi.html#a262f1534c7f0c79a7d5237f5d1e2c54ca00f097b669b2a0e22f508f1ae97877d8">fsFloatingPoint</a>
, <a class="el" href="class_q_c_p_axis_ticker_pi.html#a262f1534c7f0c79a7d5237f5d1e2c54ca05a5457e0e14cb726f623e25282066b3">fsAsciiFractions</a>
, <a class="el" href="class_q_c_p_axis_ticker_pi.html#a262f1534c7f0c79a7d5237f5d1e2c54ca92f38a938c8b179b23363d9993681c55">fsUnicodeFractions</a>
 }</td></tr>
<tr class="separator:a262f1534c7f0c79a7d5237f5d1e2c54c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pub_types_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Typy publiczne dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:ab6d2f9d9477821623ac9bc4b21ddf49a inherit pub_types_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a> { <a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49aa9002aa2fd5633ab5556c71a26fed63a8">tssReadability</a>
, <a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49aa770312b6b9b0c64a37ceeba96e0cd7f2">tssMeetTickCount</a>
 }</td></tr>
<tr class="separator:ab6d2f9d9477821623ac9bc4b21ddf49a inherit pub_types_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:aa0d7b7034055927c0f0077a2d713d7d0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#aa0d7b7034055927c0f0077a2d713d7d0">QCPAxisTickerPi</a> ()</td></tr>
<tr class="separator:aa0d7b7034055927c0f0077a2d713d7d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fd785cd66a6f4f969ac2eca1b08e0f2"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#a2fd785cd66a6f4f969ac2eca1b08e0f2">piSymbol</a> () const</td></tr>
<tr class="separator:a2fd785cd66a6f4f969ac2eca1b08e0f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abddc18799caa4ae6c721e1e5e229b3a4"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#abddc18799caa4ae6c721e1e5e229b3a4">piValue</a> () const</td></tr>
<tr class="separator:abddc18799caa4ae6c721e1e5e229b3a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa320edf0a30386ce6a63c18050fbdfd8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#aa320edf0a30386ce6a63c18050fbdfd8">periodicity</a> () const</td></tr>
<tr class="separator:aa320edf0a30386ce6a63c18050fbdfd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab532d5e838168a8a5bbafea4eafc94be"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis_ticker_pi.html#a262f1534c7f0c79a7d5237f5d1e2c54c">FractionStyle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#ab532d5e838168a8a5bbafea4eafc94be">fractionStyle</a> () const</td></tr>
<tr class="separator:ab532d5e838168a8a5bbafea4eafc94be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfdcd4758a393bde4be12a50fb2017b5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#acfdcd4758a393bde4be12a50fb2017b5">setPiSymbol</a> (QString symbol)</td></tr>
<tr class="separator:acfdcd4758a393bde4be12a50fb2017b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36ce0651d2ec92edd36feac1619c2468"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#a36ce0651d2ec92edd36feac1619c2468">setPiValue</a> (double pi)</td></tr>
<tr class="separator:a36ce0651d2ec92edd36feac1619c2468"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58f538dc01860fb56e46970e28a87f03"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#a58f538dc01860fb56e46970e28a87f03">setPeriodicity</a> (int multiplesOfPi)</td></tr>
<tr class="separator:a58f538dc01860fb56e46970e28a87f03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a760c8af6ca68178e607556c4e5049d71"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#a760c8af6ca68178e607556c4e5049d71">setFractionStyle</a> (<a class="el" href="class_q_c_p_axis_ticker_pi.html#a262f1534c7f0c79a7d5237f5d1e2c54c">FractionStyle</a> style)</td></tr>
<tr class="separator:a760c8af6ca68178e607556c4e5049d71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Metody publiczne dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:a8fcf23c79ebd72202fe79253f9f01ea8 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a8fcf23c79ebd72202fe79253f9f01ea8">QCPAxisTicker</a> ()</td></tr>
<tr class="separator:a8fcf23c79ebd72202fe79253f9f01ea8 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1119d6f09ad720f9c5dfdd2559047161 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a1119d6f09ad720f9c5dfdd2559047161">~QCPAxisTicker</a> ()</td></tr>
<tr class="separator:a1119d6f09ad720f9c5dfdd2559047161 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58df76f2ec3eb48401bdd314b0e14ba1 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a58df76f2ec3eb48401bdd314b0e14ba1">tickStepStrategy</a> () const</td></tr>
<tr class="separator:a58df76f2ec3eb48401bdd314b0e14ba1 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf9edbe4169ce55e216fd067cc139452 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#aaf9edbe4169ce55e216fd067cc139452">tickCount</a> () const</td></tr>
<tr class="separator:aaf9edbe4169ce55e216fd067cc139452 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0c6e9587c36fdeefb5518c00fe7ab15 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ac0c6e9587c36fdeefb5518c00fe7ab15">tickOrigin</a> () const</td></tr>
<tr class="separator:ac0c6e9587c36fdeefb5518c00fe7ab15 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73b1d847c1a12159af6bfda4ebebe7d5 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a73b1d847c1a12159af6bfda4ebebe7d5">setTickStepStrategy</a> (<a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a> strategy)</td></tr>
<tr class="separator:a73b1d847c1a12159af6bfda4ebebe7d5 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47752abba8293e6dc18491501ae34008 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a47752abba8293e6dc18491501ae34008">setTickCount</a> (int count)</td></tr>
<tr class="separator:a47752abba8293e6dc18491501ae34008 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab509c7e500293bf66a8409f0d7c23943 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ab509c7e500293bf66a8409f0d7c23943">setTickOrigin</a> (double origin)</td></tr>
<tr class="separator:ab509c7e500293bf66a8409f0d7c23943 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefbd11725678ca824add8cf926cbc856 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#aefbd11725678ca824add8cf926cbc856">generate</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range, const QLocale &amp;locale, QChar formatChar, int precision, QVector&lt; double &gt; &amp;ticks, QVector&lt; double &gt; *subTicks, QVector&lt; QString &gt; *tickLabels)</td></tr>
<tr class="separator:aefbd11725678ca824add8cf926cbc856 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:a55301f0072983bd2d7c131a24e1779e7"><td class="memItemLeft" align="right" valign="top">virtual double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#a55301f0072983bd2d7c131a24e1779e7">getTickStep</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range) <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:a55301f0072983bd2d7c131a24e1779e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56c90f870da97c8670cfae4d04ff3ac7"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#a56c90f870da97c8670cfae4d04ff3ac7">getSubTickCount</a> (double tickStep) <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:a56c90f870da97c8670cfae4d04ff3ac7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a087d931d4344b8a91d5cecceff7109"><td class="memItemLeft" align="right" valign="top">virtual QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#a9a087d931d4344b8a91d5cecceff7109">getTickLabel</a> (double tick, const QLocale &amp;locale, QChar formatChar, int precision) <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:a9a087d931d4344b8a91d5cecceff7109"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e30609aed5025d331cb61671f0115d0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#a0e30609aed5025d331cb61671f0115d0">simplifyFraction</a> (int &amp;numerator, int &amp;denominator) const</td></tr>
<tr class="separator:a0e30609aed5025d331cb61671f0115d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb59d434358173eb5b58e41255bea904"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#afb59d434358173eb5b58e41255bea904">fractionToString</a> (int numerator, int denominator) const</td></tr>
<tr class="separator:afb59d434358173eb5b58e41255bea904"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade6f7e49238e986e9aed74178a78d8d3"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#ade6f7e49238e986e9aed74178a78d8d3">unicodeFraction</a> (int numerator, int denominator) const</td></tr>
<tr class="separator:ade6f7e49238e986e9aed74178a78d8d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34798972670b3760d649ccfe0d0ee9a5"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#a34798972670b3760d649ccfe0d0ee9a5">unicodeSuperscript</a> (int number) const</td></tr>
<tr class="separator:a34798972670b3760d649ccfe0d0ee9a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b3bb340adb888a30a96225e1ca23c7a"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#a5b3bb340adb888a30a96225e1ca23c7a">unicodeSubscript</a> (int number) const</td></tr>
<tr class="separator:a5b3bb340adb888a30a96225e1ca23c7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Metody chronione dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:a910d69bcec2de37e92d8d4e1ecf201e2 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a910d69bcec2de37e92d8d4e1ecf201e2">getTickStep</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range)</td></tr>
<tr class="separator:a910d69bcec2de37e92d8d4e1ecf201e2 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ccc403ced7a1457ce6ba293509933c8 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a4ccc403ced7a1457ce6ba293509933c8">getSubTickCount</a> (double tickStep)</td></tr>
<tr class="separator:a4ccc403ced7a1457ce6ba293509933c8 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8201eb4aa8be192bf786b126eb5ee089 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a8201eb4aa8be192bf786b126eb5ee089">getTickLabel</a> (double tick, const QLocale &amp;locale, QChar formatChar, int precision)</td></tr>
<tr class="separator:a8201eb4aa8be192bf786b126eb5ee089 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4645a824c7bd2ca8fc7e86ebf9055bd inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#af4645a824c7bd2ca8fc7e86ebf9055bd">createTickVector</a> (double tickStep, const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range)</td></tr>
<tr class="separator:af4645a824c7bd2ca8fc7e86ebf9055bd inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a6435723fa0bd366d1ea4c2cff7c33f inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a9a6435723fa0bd366d1ea4c2cff7c33f">createSubTickVector</a> (int subTickCount, const QVector&lt; double &gt; &amp;ticks)</td></tr>
<tr class="separator:a9a6435723fa0bd366d1ea4c2cff7c33f inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a804050e408f37a0b9770c6654ebe6aa7 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a804050e408f37a0b9770c6654ebe6aa7">createLabelVector</a> (const QVector&lt; double &gt; &amp;ticks, const QLocale &amp;locale, QChar formatChar, int precision)</td></tr>
<tr class="separator:a804050e408f37a0b9770c6654ebe6aa7 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab28cc1ab549489be7975f5ce7e717916 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ab28cc1ab549489be7975f5ce7e717916">trimTicks</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range, QVector&lt; double &gt; &amp;ticks, bool keepOneOutlier) const</td></tr>
<tr class="separator:ab28cc1ab549489be7975f5ce7e717916 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ea0a7c4ca1c610f92b9bd5944ab4260 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a4ea0a7c4ca1c610f92b9bd5944ab4260">pickClosest</a> (double target, const QVector&lt; double &gt; &amp;candidates) const</td></tr>
<tr class="separator:a4ea0a7c4ca1c610f92b9bd5944ab4260 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe99aaaf6c512812869b0a19937c76ff inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#abe99aaaf6c512812869b0a19937c76ff">getMantissa</a> (double input, double *magnitude=nullptr) const</td></tr>
<tr class="separator:abe99aaaf6c512812869b0a19937c76ff inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7df6c72876b7abd67c932663a0b0f6a inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ac7df6c72876b7abd67c932663a0b0f6a">cleanMantissa</a> (double input) const</td></tr>
<tr class="separator:ac7df6c72876b7abd67c932663a0b0f6a inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:a0962084571116e4d98e4dccc2e68f5ea"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#a0962084571116e4d98e4dccc2e68f5ea">mPiSymbol</a></td></tr>
<tr class="separator:a0962084571116e4d98e4dccc2e68f5ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3e899a3d23ada89eb48b465204b09ea"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#ab3e899a3d23ada89eb48b465204b09ea">mPiValue</a></td></tr>
<tr class="separator:ab3e899a3d23ada89eb48b465204b09ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5372570aa91ef3b0586939d91c119db"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#af5372570aa91ef3b0586939d91c119db">mPeriodicity</a></td></tr>
<tr class="separator:af5372570aa91ef3b0586939d91c119db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34db3e41fbc1e91426841ca040930595"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis_ticker_pi.html#a262f1534c7f0c79a7d5237f5d1e2c54c">FractionStyle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#a34db3e41fbc1e91426841ca040930595">mFractionStyle</a></td></tr>
<tr class="separator:a34db3e41fbc1e91426841ca040930595"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a943706b7796d778c62915498864bbeb8"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_pi.html#a943706b7796d778c62915498864bbeb8">mPiTickStep</a></td></tr>
<tr class="separator:a943706b7796d778c62915498864bbeb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Atrybuty chronione dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:ac059d6d670b2f6132c593fb4de156701 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ac059d6d670b2f6132c593fb4de156701">mTickStepStrategy</a></td></tr>
<tr class="separator:ac059d6d670b2f6132c593fb4de156701 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14a35b47d1aad11b08d18ea0e25937b8 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a14a35b47d1aad11b08d18ea0e25937b8">mTickCount</a></td></tr>
<tr class="separator:a14a35b47d1aad11b08d18ea0e25937b8 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a560ef9347b1aa599a9bf0e2f29d3ec16 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a560ef9347b1aa599a9bf0e2f29d3ec16">mTickOrigin</a></td></tr>
<tr class="separator:a560ef9347b1aa599a9bf0e2f29d3ec16 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><div class="image">
<img src="axisticker-pi.png" alt=""/>
</div>
<p>This <a class="el" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels.">QCPAxisTicker</a> subclass generates ticks that are expressed with respect to a given symbolic constant with a numerical value specified with <a class="el" href="class_q_c_p_axis_ticker_pi.html#a36ce0651d2ec92edd36feac1619c2468">setPiValue</a> and an appearance in the tick labels specified with <a class="el" href="class_q_c_p_axis_ticker_pi.html#acfdcd4758a393bde4be12a50fb2017b5">setPiSymbol</a>.</p>
<p>Ticks may be generated at fractions of the symbolic constant. How these fractions appear in the tick label can be configured with <a class="el" href="class_q_c_p_axis_ticker_pi.html#a760c8af6ca68178e607556c4e5049d71">setFractionStyle</a>.</p>
<p>The ticker can be created and assigned to an axis like this: </p><div class="fragment"></div><!-- fragment --> 
<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01978">1978</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja składowych wyliczanych</h2>
<a id="a262f1534c7f0c79a7d5237f5d1e2c54c" name="a262f1534c7f0c79a7d5237f5d1e2c54c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a262f1534c7f0c79a7d5237f5d1e2c54c">&#9670;&#160;</a></span>FractionStyle</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="class_q_c_p_axis_ticker_pi.html#a262f1534c7f0c79a7d5237f5d1e2c54c">QCPAxisTickerPi::FractionStyle</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Defines how fractions should be displayed in tick labels.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_axis_ticker_pi.html#a760c8af6ca68178e607556c4e5049d71">setFractionStyle</a> </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="a262f1534c7f0c79a7d5237f5d1e2c54ca00f097b669b2a0e22f508f1ae97877d8" name="a262f1534c7f0c79a7d5237f5d1e2c54ca00f097b669b2a0e22f508f1ae97877d8"></a>fsFloatingPoint&#160;</td><td class="fielddoc"><p>Fractions are displayed as regular decimal floating point numbers, e.g. "0.25" or "0.125". </p>
</td></tr>
<tr><td class="fieldname"><a id="a262f1534c7f0c79a7d5237f5d1e2c54ca05a5457e0e14cb726f623e25282066b3" name="a262f1534c7f0c79a7d5237f5d1e2c54ca05a5457e0e14cb726f623e25282066b3"></a>fsAsciiFractions&#160;</td><td class="fielddoc"><p>Fractions are written as rationals using ASCII characters only, e.g. "1/4" or "1/8". </p>
</td></tr>
<tr><td class="fieldname"><a id="a262f1534c7f0c79a7d5237f5d1e2c54ca92f38a938c8b179b23363d9993681c55" name="a262f1534c7f0c79a7d5237f5d1e2c54ca92f38a938c8b179b23363d9993681c55"></a>fsUnicodeFractions&#160;</td><td class="fielddoc"><p>Fractions are written using sub- and superscript UTF-8 digits and the fraction symbol. </p>
</td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01987">1987</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="aa0d7b7034055927c0f0077a2d713d7d0" name="aa0d7b7034055927c0f0077a2d713d7d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0d7b7034055927c0f0077a2d713d7d0">&#9670;&#160;</a></span>QCPAxisTickerPi()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPAxisTickerPi::QCPAxisTickerPi </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructs the ticker and sets reasonable default values. Axis tickers are commonly created managed by a QSharedPointer, which then can be passed to <a class="el" href="class_q_c_p_axis.html#a4ee03fcd2c74d05cd1a419b9af5cfbdc">QCPAxis::setTicker</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07431">7431</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_pi_aa0d7b7034055927c0f0077a2d713d7d0_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_pi_aa0d7b7034055927c0f0077a2d713d7d0_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_pi_aa0d7b7034055927c0f0077a2d713d7d0_cgraph" id="aclass_q_c_p_axis_ticker_pi_aa0d7b7034055927c0f0077a2d713d7d0_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,188,45"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a47752abba8293e6dc18491501ae34008" title=" " alt="" coords="236,13,431,38"/>
<area shape="poly" title=" " alt="" coords="188,23,222,23,222,28,188,28"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a2fd785cd66a6f4f969ac2eca1b08e0f2" name="a2fd785cd66a6f4f969ac2eca1b08e0f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fd785cd66a6f4f969ac2eca1b08e0f2">&#9670;&#160;</a></span>piSymbol()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString QCPAxisTickerPi::piSymbol </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01996">1996</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="abddc18799caa4ae6c721e1e5e229b3a4" name="abddc18799caa4ae6c721e1e5e229b3a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abddc18799caa4ae6c721e1e5e229b3a4">&#9670;&#160;</a></span>piValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAxisTickerPi::piValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01997">1997</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="aa320edf0a30386ce6a63c18050fbdfd8" name="aa320edf0a30386ce6a63c18050fbdfd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa320edf0a30386ce6a63c18050fbdfd8">&#9670;&#160;</a></span>periodicity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPAxisTickerPi::periodicity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01998">1998</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ab532d5e838168a8a5bbafea4eafc94be" name="ab532d5e838168a8a5bbafea4eafc94be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab532d5e838168a8a5bbafea4eafc94be">&#9670;&#160;</a></span>fractionStyle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_axis_ticker_pi.html#a262f1534c7f0c79a7d5237f5d1e2c54c">FractionStyle</a> QCPAxisTickerPi::fractionStyle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01999">1999</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="acfdcd4758a393bde4be12a50fb2017b5" name="acfdcd4758a393bde4be12a50fb2017b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfdcd4758a393bde4be12a50fb2017b5">&#9670;&#160;</a></span>setPiSymbol()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTickerPi::setPiSymbol </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>symbol</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets how the symbol part (which is always a suffix to the number) shall appear in the axis tick label.</p>
<p>If a space shall appear between the number and the symbol, make sure the space is contained in <em>symbol</em>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07448">7448</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a36ce0651d2ec92edd36feac1619c2468" name="a36ce0651d2ec92edd36feac1619c2468"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36ce0651d2ec92edd36feac1619c2468">&#9670;&#160;</a></span>setPiValue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTickerPi::setPiValue </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>pi</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the numerical value that the symbolic constant has.</p>
<p>This will be used to place the appropriate fractions of the symbol at the respective axis coordinates. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07459">7459</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a58f538dc01860fb56e46970e28a87f03" name="a58f538dc01860fb56e46970e28a87f03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58f538dc01860fb56e46970e28a87f03">&#9670;&#160;</a></span>setPeriodicity()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTickerPi::setPeriodicity </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>multiplesOfPi</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets whether the axis labels shall appear periodicly and if so, at which multiplicity of the symbolic constant.</p>
<p>To disable periodicity, set <em>multiplesOfPi</em> to zero.</p>
<p>For example, an axis that identifies 0 with 2pi would set <em>multiplesOfPi</em> to two. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07472">7472</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a760c8af6ca68178e607556c4e5049d71" name="a760c8af6ca68178e607556c4e5049d71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a760c8af6ca68178e607556c4e5049d71">&#9670;&#160;</a></span>setFractionStyle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTickerPi::setFractionStyle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_axis_ticker_pi.html#a262f1534c7f0c79a7d5237f5d1e2c54c">QCPAxisTickerPi::FractionStyle</a>&#160;</td>
          <td class="paramname"><em>style</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets how the numerical/fractional part preceding the symbolic constant is displayed in tick labels. See <a class="el" href="class_q_c_p_axis_ticker_pi.html#a262f1534c7f0c79a7d5237f5d1e2c54c">FractionStyle</a> for the various options. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07481">7481</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a55301f0072983bd2d7c131a24e1779e7" name="a55301f0072983bd2d7c131a24e1779e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55301f0072983bd2d7c131a24e1779e7">&#9670;&#160;</a></span>getTickStep()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAxisTickerPi::getTickStep </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;&#160;</td>
          <td class="paramname"><em>range</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplementowana z <a class="el" href="class_q_c_p_axis_ticker.html#a910d69bcec2de37e92d8d4e1ecf201e2">QCPAxisTicker</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07494">7494</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_pi_a55301f0072983bd2d7c131a24e1779e7_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_pi_a55301f0072983bd2d7c131a24e1779e7_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_pi_a55301f0072983bd2d7c131a24e1779e7_cgraph" id="aclass_q_c_p_axis_ticker_pi_a55301f0072983bd2d7c131a24e1779e7_cgraph">
<area shape="rect" title=" " alt="" coords="5,55,204,80"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#ac7df6c72876b7abd67c932663a0b0f6a" title=" " alt="" coords="252,29,453,55"/>
<area shape="poly" title=" " alt="" coords="204,55,238,51,239,56,204,60"/>
<area shape="rect" href="class_q_c_p_range.html#a62326e7cc4316b96df6a60813230e63f" title=" " alt="" coords="295,79,411,104"/>
<area shape="poly" title=" " alt="" coords="204,74,281,82,281,87,204,80"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#abe99aaaf6c512812869b0a19937c76ff" title=" " alt="" coords="501,5,689,31"/>
<area shape="poly" title=" " alt="" coords="453,29,488,26,488,31,454,35"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a4ea0a7c4ca1c610f92b9bd5944ab4260" title=" " alt="" coords="503,55,688,80"/>
<area shape="poly" title=" " alt="" coords="454,50,489,54,489,59,453,55"/>
</map>
</div>

</div>
</div>
<a id="a56c90f870da97c8670cfae4d04ff3ac7" name="a56c90f870da97c8670cfae4d04ff3ac7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56c90f870da97c8670cfae4d04ff3ac7">&#9670;&#160;</a></span>getSubTickCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisTickerPi::getSubTickCount </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>tickStep</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplementowana z <a class="el" href="class_q_c_p_axis_ticker.html#a4ccc403ced7a1457ce6ba293509933c8">QCPAxisTicker</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07509">7509</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_pi_a56c90f870da97c8670cfae4d04ff3ac7_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_pi_a56c90f870da97c8670cfae4d04ff3ac7_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_pi_a56c90f870da97c8670cfae4d04ff3ac7_cgraph" id="aclass_q_c_p_axis_ticker_pi_a56c90f870da97c8670cfae4d04ff3ac7_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,200,45"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a4ccc403ced7a1457ce6ba293509933c8" title=" " alt="" coords="248,5,431,45"/>
<area shape="poly" title=" " alt="" coords="200,23,234,23,234,28,200,28"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#abe99aaaf6c512812869b0a19937c76ff" title=" " alt="" coords="479,13,667,38"/>
<area shape="poly" title=" " alt="" coords="431,23,465,23,465,28,431,28"/>
</map>
</div>

</div>
</div>
<a id="a9a087d931d4344b8a91d5cecceff7109" name="a9a087d931d4344b8a91d5cecceff7109"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a087d931d4344b8a91d5cecceff7109">&#9670;&#160;</a></span>getTickLabel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString QCPAxisTickerPi::getTickLabel </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>tick</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QLocale &amp;&#160;</td>
          <td class="paramname"><em>locale</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QChar&#160;</td>
          <td class="paramname"><em>formatChar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>precision</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplementowana z <a class="el" href="class_q_c_p_axis_ticker.html#a8201eb4aa8be192bf786b126eb5ee089">QCPAxisTicker</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07522">7522</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_pi_a9a087d931d4344b8a91d5cecceff7109_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_pi_a9a087d931d4344b8a91d5cecceff7109_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_pi_a9a087d931d4344b8a91d5cecceff7109_cgraph" id="aclass_q_c_p_axis_ticker_pi_a9a087d931d4344b8a91d5cecceff7109_cgraph">
<area shape="rect" title=" " alt="" coords="5,95,177,135"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#afb59d434358173eb5b58e41255bea904" title=" " alt="" coords="235,37,407,77"/>
<area shape="poly" title=" " alt="" coords="172,92,227,78,228,83,173,97"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a8201eb4aa8be192bf786b126eb5ee089" title=" " alt="" coords="225,102,417,127"/>
<area shape="poly" title=" " alt="" coords="178,112,211,112,211,117,178,117"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#a0e30609aed5025d331cb61671f0115d0" title=" " alt="" coords="235,152,408,192"/>
<area shape="poly" title=" " alt="" coords="173,132,228,146,227,151,172,137"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#ade6f7e49238e986e9aed74178a78d8d3" title=" " alt="" coords="465,37,640,77"/>
<area shape="poly" title=" " alt="" coords="408,55,451,55,451,60,408,60"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#a5b3bb340adb888a30a96225e1ca23c7a" title=" " alt="" coords="688,5,863,45"/>
<area shape="poly" title=" " alt="" coords="640,42,674,37,675,42,641,47"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#a34798972670b3760d649ccfe0d0ee9a5" title=" " alt="" coords="688,69,863,109"/>
<area shape="poly" title=" " alt="" coords="641,67,675,72,674,78,640,73"/>
</map>
</div>

</div>
</div>
<a id="a0e30609aed5025d331cb61671f0115d0" name="a0e30609aed5025d331cb61671f0115d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e30609aed5025d331cb61671f0115d0">&#9670;&#160;</a></span>simplifyFraction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTickerPi::simplifyFraction </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>numerator</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>denominator</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07557">7557</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_pi_a0e30609aed5025d331cb61671f0115d0_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_pi_a0e30609aed5025d331cb61671f0115d0_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_pi_a0e30609aed5025d331cb61671f0115d0_icgraph" id="aclass_q_c_p_axis_ticker_pi_a0e30609aed5025d331cb61671f0115d0_icgraph">
<area shape="rect" title=" " alt="" coords="225,5,399,45"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#a9a087d931d4344b8a91d5cecceff7109" title=" " alt="" coords="5,5,177,45"/>
<area shape="poly" title=" " alt="" coords="211,28,178,28,178,23,211,23"/>
</map>
</div>

</div>
</div>
<a id="afb59d434358173eb5b58e41255bea904" name="afb59d434358173eb5b58e41255bea904"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb59d434358173eb5b58e41255bea904">&#9670;&#160;</a></span>fractionToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString QCPAxisTickerPi::fractionToString </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>numerator</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>denominator</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07584">7584</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_pi_afb59d434358173eb5b58e41255bea904_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_pi_afb59d434358173eb5b58e41255bea904_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_pi_afb59d434358173eb5b58e41255bea904_cgraph" id="aclass_q_c_p_axis_ticker_pi_afb59d434358173eb5b58e41255bea904_cgraph">
<area shape="rect" title=" " alt="" coords="5,37,177,77"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#ade6f7e49238e986e9aed74178a78d8d3" title=" " alt="" coords="225,37,400,77"/>
<area shape="poly" title=" " alt="" coords="178,55,212,55,212,60,178,60"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#a5b3bb340adb888a30a96225e1ca23c7a" title=" " alt="" coords="448,5,623,45"/>
<area shape="poly" title=" " alt="" coords="400,42,434,37,435,42,401,47"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#a34798972670b3760d649ccfe0d0ee9a5" title=" " alt="" coords="448,69,623,109"/>
<area shape="poly" title=" " alt="" coords="401,67,435,72,434,78,400,73"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_pi_afb59d434358173eb5b58e41255bea904_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_pi_afb59d434358173eb5b58e41255bea904_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_pi_afb59d434358173eb5b58e41255bea904_icgraph" id="aclass_q_c_p_axis_ticker_pi_afb59d434358173eb5b58e41255bea904_icgraph">
<area shape="rect" title=" " alt="" coords="225,5,397,45"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#a9a087d931d4344b8a91d5cecceff7109" title=" " alt="" coords="5,5,177,45"/>
<area shape="poly" title=" " alt="" coords="211,28,177,28,177,23,211,23"/>
</map>
</div>

</div>
</div>
<a id="ade6f7e49238e986e9aed74178a78d8d3" name="ade6f7e49238e986e9aed74178a78d8d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade6f7e49238e986e9aed74178a78d8d3">&#9670;&#160;</a></span>unicodeFraction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString QCPAxisTickerPi::unicodeFraction </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>numerator</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>denominator</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07640">7640</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_pi_ade6f7e49238e986e9aed74178a78d8d3_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_pi_ade6f7e49238e986e9aed74178a78d8d3_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_pi_ade6f7e49238e986e9aed74178a78d8d3_cgraph" id="aclass_q_c_p_axis_ticker_pi_ade6f7e49238e986e9aed74178a78d8d3_cgraph">
<area shape="rect" title=" " alt="" coords="5,37,180,77"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#a5b3bb340adb888a30a96225e1ca23c7a" title=" " alt="" coords="228,5,403,45"/>
<area shape="poly" title=" " alt="" coords="180,42,214,37,215,42,181,47"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#a34798972670b3760d649ccfe0d0ee9a5" title=" " alt="" coords="228,69,403,109"/>
<area shape="poly" title=" " alt="" coords="181,67,215,72,214,78,180,73"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_pi_ade6f7e49238e986e9aed74178a78d8d3_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_pi_ade6f7e49238e986e9aed74178a78d8d3_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_pi_ade6f7e49238e986e9aed74178a78d8d3_icgraph" id="aclass_q_c_p_axis_ticker_pi_ade6f7e49238e986e9aed74178a78d8d3_icgraph">
<area shape="rect" title=" " alt="" coords="445,5,620,45"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#afb59d434358173eb5b58e41255bea904" title=" " alt="" coords="225,5,397,45"/>
<area shape="poly" title=" " alt="" coords="431,28,397,28,397,23,431,23"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#a9a087d931d4344b8a91d5cecceff7109" title=" " alt="" coords="5,5,177,45"/>
<area shape="poly" title=" " alt="" coords="211,28,177,28,177,23,211,23"/>
</map>
</div>

</div>
</div>
<a id="a34798972670b3760d649ccfe0d0ee9a5" name="a34798972670b3760d649ccfe0d0ee9a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34798972670b3760d649ccfe0d0ee9a5">&#9670;&#160;</a></span>unicodeSuperscript()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString QCPAxisTickerPi::unicodeSuperscript </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>number</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07650">7650</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_pi_a34798972670b3760d649ccfe0d0ee9a5_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_pi_a34798972670b3760d649ccfe0d0ee9a5_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_pi_a34798972670b3760d649ccfe0d0ee9a5_icgraph" id="aclass_q_c_p_axis_ticker_pi_a34798972670b3760d649ccfe0d0ee9a5_icgraph">
<area shape="rect" title=" " alt="" coords="668,5,843,45"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#ade6f7e49238e986e9aed74178a78d8d3" title=" " alt="" coords="445,5,620,45"/>
<area shape="poly" title=" " alt="" coords="654,28,620,28,620,23,654,23"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#afb59d434358173eb5b58e41255bea904" title=" " alt="" coords="225,5,397,45"/>
<area shape="poly" title=" " alt="" coords="431,28,397,28,397,23,431,23"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#a9a087d931d4344b8a91d5cecceff7109" title=" " alt="" coords="5,5,177,45"/>
<area shape="poly" title=" " alt="" coords="211,28,177,28,177,23,211,23"/>
</map>
</div>

</div>
</div>
<a id="a5b3bb340adb888a30a96225e1ca23c7a" name="a5b3bb340adb888a30a96225e1ca23c7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b3bb340adb888a30a96225e1ca23c7a">&#9670;&#160;</a></span>unicodeSubscript()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString QCPAxisTickerPi::unicodeSubscript </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>number</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07676">7676</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_pi_a5b3bb340adb888a30a96225e1ca23c7a_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_pi_a5b3bb340adb888a30a96225e1ca23c7a_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_pi_a5b3bb340adb888a30a96225e1ca23c7a_icgraph" id="aclass_q_c_p_axis_ticker_pi_a5b3bb340adb888a30a96225e1ca23c7a_icgraph">
<area shape="rect" title=" " alt="" coords="668,5,843,45"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#ade6f7e49238e986e9aed74178a78d8d3" title=" " alt="" coords="445,5,620,45"/>
<area shape="poly" title=" " alt="" coords="654,28,620,28,620,23,654,23"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#afb59d434358173eb5b58e41255bea904" title=" " alt="" coords="225,5,397,45"/>
<area shape="poly" title=" " alt="" coords="431,28,397,28,397,23,431,23"/>
<area shape="rect" href="class_q_c_p_axis_ticker_pi.html#a9a087d931d4344b8a91d5cecceff7109" title=" " alt="" coords="5,5,177,45"/>
<area shape="poly" title=" " alt="" coords="211,28,177,28,177,23,211,23"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a0962084571116e4d98e4dccc2e68f5ea" name="a0962084571116e4d98e4dccc2e68f5ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0962084571116e4d98e4dccc2e68f5ea">&#9670;&#160;</a></span>mPiSymbol</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString QCPAxisTickerPi::mPiSymbol</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02009">2009</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ab3e899a3d23ada89eb48b465204b09ea" name="ab3e899a3d23ada89eb48b465204b09ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3e899a3d23ada89eb48b465204b09ea">&#9670;&#160;</a></span>mPiValue</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAxisTickerPi::mPiValue</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02010">2010</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="af5372570aa91ef3b0586939d91c119db" name="af5372570aa91ef3b0586939d91c119db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5372570aa91ef3b0586939d91c119db">&#9670;&#160;</a></span>mPeriodicity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisTickerPi::mPeriodicity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02011">2011</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a34db3e41fbc1e91426841ca040930595" name="a34db3e41fbc1e91426841ca040930595"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34db3e41fbc1e91426841ca040930595">&#9670;&#160;</a></span>mFractionStyle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_axis_ticker_pi.html#a262f1534c7f0c79a7d5237f5d1e2c54c">FractionStyle</a> QCPAxisTickerPi::mFractionStyle</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02012">2012</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a943706b7796d778c62915498864bbeb8" name="a943706b7796d778c62915498864bbeb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a943706b7796d778c62915498864bbeb8">&#9670;&#160;</a></span>mPiTickStep</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAxisTickerPi::mPiTickStep</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02015">2015</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_axis_ticker_pi.html">QCPAxisTickerPi</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
